| Version: 3.1.5

Public Member Functions | Public Attributes | List of all members
wxLanguageInfo Struct Reference

`#include </home/Hamis/wxwidgets-3.1/wxWidgets3.1-3.1.5-1.i686/src/wxWidgets-3.1.5/interface/wx/intl.h>`

## Detailed Description

Encapsulates a wxLanguage identifier together with OS-specific information related to that language.

wxPerl Note: In wxPerl `Wx::LanguageInfo` has only one method:

- Wx::LanguageInfo->new(language, canonicalName, WinLang, WinSubLang, Description)

## Public Member Functions
wxUint32 | GetLCID () const
| Return the LCID corresponding to this language. More...
wxString | GetLocaleName () const
| Return the locale name corresponding to this language usable with `setlocale()` on the current system. More...

## Public Attributes
int | Language
| wxLanguage id. More...
wxString | CanonicalName
| Canonical name of the language, e.g. `fr_FR`. More...
wxUint32 | WinLang
| Win32 language identifiers (LANG_xxxx, SUBLANG_xxxx). More...
wxUint32 | WinSublang
wxString | Description
| Human-readable name of the language. More...
wxLayoutDirection | LayoutDirection
| The layout direction used for this language. More...

## Member Function Documentation

## ◆ GetLCID()

wxUint32 wxLanguageInfo::GetLCID | ( |  | ) | const

Return the LCID corresponding to this language.

Availability: only available for the wxMSW port.

## ◆ GetLocaleName()

wxString wxLanguageInfo::GetLocaleName | ( |  | ) | const

Return the locale name corresponding to this language usable with `setlocale()` on the current system.

If setting locale for this language is not supported, the returned string is empty.

## Member Data Documentation

## ◆ CanonicalName

wxString wxLanguageInfo::CanonicalName

Canonical name of the language, e.g. `fr_FR`.

## ◆ Description

wxString wxLanguageInfo::Description

Human-readable name of the language.

## ◆ Language

int wxLanguageInfo::Language

wxLanguage id.

It should be greater than `wxLANGUAGE_USER_DEFINED` when defining your own language info structure.

## ◆ LayoutDirection

wxLayoutDirection wxLanguageInfo::LayoutDirection

The layout direction used for this language.

## ◆ WinLang

wxUint32 wxLanguageInfo::WinLang

Win32 language identifiers (LANG_xxxx, SUBLANG_xxxx).

Availability: only available for the wxMSW port.

## ◆ WinSublang

wxUint32 wxLanguageInfo::WinSublang